Subject: small design problem with hso driver

From: Denis Joseph Barrow <[email-masked]>
Date: Wed, 08 Oct 2008 15:52:38 +0200

Hi,
I'm getting a fairly consistently reproducable problem
with the 3g modem hso driver. The most reproducable
bug I have.

It happens when I plug out the usb modem & ctrl-c
out of an ioctl call with the modem connected in paralell over ppp
with wvdial 

Basically whats happening is the hso_serial_close
is being called more times than the hso_serial_open &
I don't know why.

I can put in a kludge to cure the symptom which would prevent the crash
but it would be nice to know why this might be
happening.

-- 
best regards,
D.J. Barrow
--
To unsubscribe from this list: send the line "unsubscribe linux-usb" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html